Skip to main content
GET
Get load
The endpoint for retrieving loads requires specifying the API version in the URL path. Including the version number ensures that your application interacts with the correct version of the API, providing stability and compatibility as the API evolves. For more information on how versioning works and how to include it in your requests, please refer to the Versioning page.

Request Parameters

The version is required in the PATH parameters. The following parameters can be added as QUERY parameters to filter the results:

Example CURL request

Example using Load ID:
Example using Load Number:
Example using Order Number:
Replace {version} with the API version number, {loadId}, {loadNumber}, and {orderNumber} with the actual values, and YOUR_ACCESS_TOKEN with your actual Bearer token: Using Load ID:
Using Load Number:
Using Order Number:

Response Parameters

The following table lists the parameters included in the response for load-related requests.

404 Not Found

404 Not Found is returned in two cases:
  1. No load with the given ID exists for your tenant.
  2. A load record exists but has no associated trips (abandoned creation). These loads are treated as non-existent by the API.

Example Response

On the right side, you can see examples of different error codes by clicking “Example” and selecting the response code.

Rate Limits

All endpoints are subject to rate limits to protect the API from traffic spikes. For detailed information on rate limits, please refer to the Rate Limits section. This page is interactive, allowing you to try a request by completing the fields for the parameters below. As you fill out the parameters, the CURL command on the right side of the page will be automatically updated. Alternatively, you can fork our Public API Postman Collection directly. Make sure to authorize yourself before trying a request.

Authorizations

Authorization
string
header
required

OAuth 2.0 client-credentials access token. Obtain one from https://auth.alvys.com/oauth/token (grant_type=client_credentials, audience=https://api.alvys.com/public/), then paste it here. The playground sends it as Authorization: Bearer <token>.

Path Parameters

version
string
default:1.0
required

API version (e.g., 1.0)

Example:

"1.0"

Query Parameters

id
string
loadNumber
string
orderNumber
string

Response

OK

Id
string
required
LoadNumber
string
required
OrderNumber
string
required
CustomerId
string
required
Status
string
required
LoadType
string
required
deprecated
CustomerType
string[]
required
Stops
object[]
required
InvoiceAs
string
required
Notes
object[]
required
CreatedAt
string<date-time>
required
CreatedBy
string
required
References
object[]
required
PONumber
string | null
CustomerName
string | null
CustomerNumber
string | null
ContractId
string | null
Fleet
object | null
OfficeId
string | null
Linehaul
object | null
FuelSurcharge
object | null
CustomerAccessorials
object | null
CustomerAccessorialsDetails
object[] | null
CustomerRate
object | null
CustomerMileage
object | null
InvoicedAmount
object | null
Weight
object | null
Volume
object | null
ScheduledPickupAt
string<date-time> | null
ScheduledDeliveryAt
string<date-time> | null
PickedUpAt
string<date-time> | null
DeliveredAt
string<date-time> | null
InvoicedAt
string<date-time> | null
LastInvoiceSentAt
string<date-time> | null
CancelledAt
string<date-time> | null
CancelledBy
string | null
CustomerServiceRepId
string | null
CustomerSalesAgentId
string | null
CustomerSalesManagerId
string | null
CustomerLoadPlannerId
string | null
UpdatedAt
string<date-time> | null
UpdatedBy
string | null
CustomerAccountManagerId
string | null
PaidAt
string<date-time> | null
TotalPaid
object | null
Payments
object[] | null
TenderId
string | null
IsDeleted
boolean | null
RequiredEquipment
string[] | null